function done = circle(x0,y0,r,c,w)
% draw a circle with center in x0,y0 and radius r, with color c and linewidth w

x1 = x0+r;
y1 = y0;
for i=pi/24:pi/24:2*pi
    x2 = x0+r*cos(i);
    y2 = y0+r*sin(i);
    line([x1'; x2'],[y1'; y2'],'Color',c,'Linewidth',w);
    x1=x2;
    y1=y2;
end
for i=1:size(x0,1)
    text(x0(i),y0(i),int2str(i));
end